﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace InheritanceTest
{
    class Program
    {
        static void Main(string[] args)
        {
            using (testdbEntities ctx = new testdbEntities())
            {
                child child1 = child.Createchild(0, "New Name Parent", "new desc child");
                ctx.AddToparent(child1);
                ctx.SaveChanges();

                parent parent1 = parent.Createparent(0, "New Parent without Child");
                ctx.AddToparent(parent1);
                ctx.SaveChanges();

                IList<child> childs = ctx.parent.OfType<child>().ToList();
                foreach (child c in childs)
                {
                    Console.WriteLine("id: " + c.idParent + " parent name: " + c.nameParent + " child desc: " + c.DescChild);
                }

                IList<parent> parents = ctx.parent.ToList();
                foreach (parent p in parents)
                {
                    Console.WriteLine("id: " + p.idParent + " parent name: " + p.nameParent + " is child: " + (p is child));
                }
            }
        }
    }
}
