-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.0.67-community-nt


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema testdb
--

CREATE DATABASE IF NOT EXISTS testdb;
USE testdb;

--
-- Definition of table `parent`
--

DROP TABLE IF EXISTS `parent`;
CREATE TABLE `parent` (
  `idParent` int(11) NOT NULL auto_increment,
  `nameParent` varchar(45) NOT NULL,
  PRIMARY KEY  (`idParent`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;

--
-- Dumping data for table `parent`
--

/*!40000 ALTER TABLE `parent` DISABLE KEYS */;
INSERT INTO `parent` (`idParent`,`nameParent`) VALUES 
 (1,'Parent 1'),
 (2,'Parent 2'),
 (3,'Parent 3'),
 (4,'Parent 4'),
 (5,'Parent 5'),
 (7,'New Parent without Child'),
 (8,'New Name Parent'),
 (9,'New Name Parent'),
 (10,'New Parent without Child');
/*!40000 ALTER TABLE `parent` ENABLE KEYS */;


--
-- Definition of table `child`
--

DROP TABLE IF EXISTS `child`;
CREATE TABLE `child` (
  `idChild` int(11) NOT NULL,
  `DescChild` varchar(45) NOT NULL,
  PRIMARY KEY  (`idChild`),
  CONSTRAINT `FK_Parent` FOREIGN KEY (`idChild`) REFERENCES `parent` (`idParent`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `child`
--

/*!40000 ALTER TABLE `child` DISABLE KEYS */;
INSERT INTO `child` (`idChild`,`DescChild`) VALUES 
 (2,'Is Child Parent 2'),
 (4,'Is Child Parent 4'),
 (8,'new desc child'),
 (9,'new desc child');
/*!40000 ALTER TABLE `child` ENABLE KEYS */;





/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
